'-------------- Device Params -----------------------
Params
	DRV.OPMODE = 2'position operation mode
	DRV.CMDSOURCE = 5'command source = AKD BASIC TG
	UNIT.PROTARY = 4'16 bit position units, 65536 counts/rev
	UNIT.VROTARY = 0'velocity units = rpm
	UNIT.ACCROTARY = 0'acceleration units = rpm/sec
	PL.MODPEN = 1'enable slave modulo
	PL.MODP2 = 65536'set slave (AKD BASIC) counts per cycle
	FB2.SOURCE = 1'set Master Encoder Source to X9
	FB2.ENCRES = 8000'set counts'rev of Master
	FB2.DIR = 0'set counting directi0n for Master Encoder
	EXTENCODER.POSMODULO = 8000'set master counts per cycle
End Params

'-------------- Define (dim) Global Variables --------

'-------------- Main Program -------------------------
Main
	CAM.CREATE (1, 5)'allocate space for cam #1, 5 points 
		'start the cam create block
		CAM.ADDPOINT(0, 0)
		CAM.ADDPOINT(2000, 65536 / 10)
		CAM.ADDPOINT(4004, 65536 / 8)
		'add the points
		CAM.ADDPOINT(6000, 65536 * 3 / 4)
		CAM.ADDPOINT(8000, 65536)
	End 'the cam create block
CAM.MASTER = 2'Cam Master = External Encoder
EXTENCODER.POSITION = 0'set Master position to 0
MOVE.POSCOMMAND = 0'set slave (AKD BASIC) position to 0
DRV.SWENABLE = 1'enable the motor
Print "Motor Enabled, wait 5 sec" 
Pause (5)
CAM.ACTIVATE = 1'activate cam #1
Print "CAM Enabled" 

While 1 = 1 : wend

End Main

'-------------- Subroutines and Functions ------------

'-------------- Interrupt Routines -------------------
