' --------------------- Parameter Header ---------------------
params 
	DRV.OPMODE = 2'position operation mode
	DRV.CMDSOURCE = 5'command source = AKD BASIC TG
	UNIT.PROTARY = 4'16 bit position units, 65536 counts/rev
	UNIT.VROTARY = 0'velocity units = rpm
	UNIT.ACCROTARY = 0'acceleration units = rpm/sec
end params

'-------------- Global Declarations -------------------------
Alias ONE_REV = 65536
Dim LOOP, COUNT as Integer 

'-------------- Main Program -------------------------
main 
	drv.swenable = 1
	
	' Setting up move parameter
	Move.Acc = 100000
	Move.Dec = 100000
	Move.RunSpeed = 1000
	Move.RelativeDist = ONE_REV * 2.5
	Count = 8
	
	If Drv.Active = 0 then print "Enable Drive" 
	While Drv.Active = 0 : wend
	
	For LOOP = 1 to COUNT
		Move.GoRel 
		while Move.Moving : wend
		pause (.5)
	Next LOOP
	
end main
