'This is an example Home Routine
'The motor moves CW toward the home switch (Input 1) at 100 RPM
'When input 1 goes high, the motor stops
'The drive captured the position of the motor when input 1 went high and defines this captured position as home
'-------------- Device Params -----------------------
Params 
	DRV.OPMODE = 2'position operation mode
	DRV.CMDSOURCE = 5'command source = AKD BASIC TG
	UNIT.PROTARY = 4'set position units to counts, 16 bit (65536counts/rev)
	UNIT.VROTARY = 0'set velocity units to RPM
	UNIT.ACCROTARY = 0'set acceleration units to rpm/s
End Params

'-------------- Define (dim) Global Variables --------

'-------------- Main Program -------------------------
Main 
	'Setup position capture
	CAP0.EN = 0
	CAP0.EDGE = 1
	CAP0.EVENT = 0
	CAP0.FILTER = 0
	CAP0.MODE = 0
	CAP0.PREEDGE = 1
	CAP0.PREFILTER = 0
	CAP0.PRESELECT = 0
	CAP0.TRIGGER = 0
	CAP0.EN = 1
	
	'Start move toward home switch
	MOVE.DIR = 0
	Move.RunSpeed = 100
	MOVE.ACC = 10000
	MOVE.DEC = 10000
	CS.DEC = 1000000
	Move.GoVel 
	
	'When home switch is detected, stop motor and define Captured position as home or 0
	When DIN1.STATE = 1, MOVE.ABORT 
	While MOVE.INPOSITION = 0 : Wend
	Print "PL.FB = " , Pl.fb 
	Print "CAP0.PLFB = " , CAP0.PLFB 
	Move.PosCommand = Pl.fb -CAP0.PLFB 
	Print "PL.FB = " , Pl.fb 
	
	
	
End Main

'-------------- Subroutines and Functions ------------

'-------------- Interrupt Routines -------------------


