'-------------- Device Params -----------------------
Params 
	'---------------set up modulo--------------------
	PL.MODP2 = 65536*10
	PL.MODPEN = 1
	
	'---------------set up outputs-------------------
	DOUT1.MODE = 15
	DOUT2.MODE = 15
	DOUT1.PARAM =1
	DOUT2.PARAM =2
	
	'----------------set up pls's---------------------
	PLS.P1 = 65536
	PLS.WIDTH1 = 65536
	PLS.P2 = 65536*8
	PLS.WIDTH2 = 65536
	PLS.MODE = 0
	pls.en = 3
	
	DRV.OPMODE = 2'position operation mode
	DRV.CMDSOURCE = 5'command source = AKD BASIC TG
	UNIT.PROTARY = 4'16 bit position units, 65536 counts/rev
	UNIT.VROTARY = 0'velocity units = rpm
	UNIT.ACCROTARY = 0'acceleration units = rpm/sec
End Params

'-------------- Define (dim) Global Variables --------

'-------------- Main Program -------------------------
Main
	Cls 
	MOVE.POSCOMMAND = 0
	INTR.PLS.P1 = 1
	INTR.PLS.P2 = 1
	MOVE.ACC = 10000
	MOVE.DEC = 10000
	MOVE.RUNSPEED = 100
	'MOVE.GOVEL 
	Print "Should be moving @ 100 rpm"
	Pause (.01)
	MOVE.GOVEL 
	While 1 : Wend
	
	
End Main

'-------------- Subroutines and Functions ------------

'-------------- Interrupt Routines -------------------
Interrupt PLS.P1 
	Print "PLS1 Triggered at 2 revs; Output 1 ON for 1 rev and speed @ 500 rpm"
	MOVE.RUNSPEED = 500
	MOVE.GOVEL 
	INTR.PLS.P1 = 1
End Interrupt

Interrupt PLS.P2 
	Print "PLS2 Triggered at 8 revs; Output 2 ON for 1 rev and speed @ 100 rpm"
	MOVE.RUNSPEED = 100
	MOVE.GOVEL 
	INTR.PLS.P2 = 1
End Interrupt