'-------------- Device Params -----------------------
Params 
End Params

'-------------- Define (dim) Global Variables --------

'-------------- Main Program -------------------------
Main 
	UNIT.PROTARY = 2'set units for degrees
	DRV.OPMODE = 0'set drive for torque mode
	DRV.CMDSOURCE = 0'set drive for digital command source
		
	Move.poscommand = 0'set position
	
	'set modulo
	PL.MODPEN = 1
	PL.MODP2 = 360
	
	'set up pls's
	PLS.P1 = 30
	PLS.WIDTH1 = 10
	pls.p2 = 35
	PLS.WIDTH2 = 10
	PLS.En = 3
	
	'enable interrupts
	Intr.PLS.P1 = 1
	Intr.Pls.P2 = 1
	
	DRV.SWENABLE = 1' enable drive
	IL.CMDU = .04'set torque command
	
	'wait for interrupts to trigger
	While 1=1 : Wend 
	
End Main

'-------------- Subroutines and Functions ------------

'-------------- Interrupt Routines -------------------
Interrupt PLS.P1 'used to turn on torque command
	Print "PLS1, 30 degrees, pl.fb="; pl.fb; "Velocity="; VL.FB 
	IL.CMDU = .04
	INTR.PLS.P1 = 1're-enable interrupt
End Interrupt 

Interrupt PLS.P2 'used to turn off torque command
	Print "PLS2, 35 degrees, pl.fb="; PL.FB; "velocity="; VL.FB  
	IL.CMDU = .03
	INTR.PLS.P2 = 1're-enable interrupt
End Interrupt 
