'-------------- Device Params -----------------------
Params 
	DRV.OPMODE = 2'position operation mode
	DRV.CMDSOURCE = 5'command source = AKD BASIC TG
	UNIT.PROTARY = 4'set position units to counts, 16 bit (65536counts/rev)
	UNIT.VROTARY = 0'set velocity units to RPM
	UNIT.ACCROTARY = 0'set acceleration units to rpm/s
End Params

'-------------- Define (dim) Global Variables --------

'-------------- Main Program -------------------------
Main 
	'Set Current limit, Move parameters and Homing direction
	IL.LIMITP = 0.12
	MOVE.ACC = 10000
	Move.Dec = 10000
	Move.RunSpeed = 10
	Move.Dir = 0
	
	'Move towards Hardstop
	DRV.SWENABLE = 1
	Move.GoVel 
	
	'Wait for position error of 1/4 rev and stop
	While PL.ERR < 65536 / 4 : Wend
	Print "PosErr Exceeded" 
	MOVE.TARGETPOS = PL.FB 
	MOVE.GOABS 
	While MOVE.inposition = 0 : wend
	
	'set home position to current position
	MOVE.POSCOMMAND = 0
	Print "Axis Homed" 
	IL.LIMITP = 9
	
	
End Main

'-------------- Subroutines and Functions ------------

'-------------- Interrupt Routines -------------------