'This is an example Home Routine
'The motor moves toward the home switch at SearchSpeed in the CW direction until Input 7 goes Low.  
'The motor stops then moves in the CCW direction at BackSpeed (slower speed) until Input 7 goes High.
'The motor stops and position is latched when Input 7 goes High.  This latched position is defined as the home position.
'The motor then does a move back to this home position.
'-------------- Device Params -----------------------
Params 
	DRV.OPMODE = 2'position operation mode
	DRV.CMDSOURCE = 5'command source = AKD BASIC TG
	UNIT.PROTARY = 4'set position units to counts, 16 bit (65536counts/rev)
	UNIT.VROTARY = 0'set velocity units to RPM
	UNIT.ACCROTARY = 0'set acceleration units to rpm/s
End Params

'-------------- Define (dim) Global Variables --------
dim SearchSpeed, BackSpeed as float 
dim SearchDir as integer 
'-------------- Main Program -------------------------
Main 
	cls 
	If Drv.active = 0 then print "Enable Drive" 
	while Drv.Active = 0 : wend
	Move.Acc = 1000
	Move.Dec = Move.Acc 
	SearchSpeed = 400
	BackSpeed = 40
	SearchDir = 1
	
	Move.RunSpeed = SearchSpeed
	Move.Dir = SearchDir
	when DIN7.State = 1, move.govel 
	
	Move.RunSpeed = BackSpeed
	If SearchDir = 1 then Move.Dir = 0else Move.Dir = 1
	When DIN7.State = 0, move.govel 
	
	move.runspeed = 0
	when DIN7.State = 1, move.goupdate 
	while move.inposition = 0 : wend
	
	Print "move.poscommand = " ; move.poscommand 
	Print "Pl.FB = " ; pl.fb 
	Print "When.PLFB = " ; when.plfb 
	move.poscommand = move.poscommand -when.plfb 
	Print "new Move.Poscommand = " ; move.poscommand 
	
	move.runspeed = SearchSpeed
	move.gohome 
	while move.inposition = 0 : wend
	print 
	print "Axis Homed, pl.fb = " ; pl.fb 
	
End Main

'-------------- Subroutines and Functions ------------

'-------------- Interrupt Routines -------------------
