'-------------- Device Params -----------------------
Params
	UNIT.PROTARY = 4'set position units to counts, 16 bit (65536counts/rev)
	UNIT.VROTARY = 0'set velocity units to RPM
	UNIT.ACCROTARY = 0'set acceleration units to rpm/s
End Params

'-------------- Define (dim) Global Variables --------
	Dim Mech_Pos_16bit as float
'-------------- Main Program -------------------------
Main
	'For Resolver and SFD primary feedback, FB1.MECHPOS is absolute position w/in one rev.  
	'Units are always 32 bit for FB1.MECHPOS
	'This program sets the current positon to FB1.MECPOS then moves the motor to the position where FB1.MECHPOS = 0
	DRV.SWENABLE = 1
	MOVE.ACC = 1000
	MOVE.DEC = 1000
	MOVE.RUNSPEED = 10
	Mech_Pos_16bit = (FB1.MECHPOS / 2.0 ^ 16)
	MOVE.POSCOMMAND = Mech_Pos_16bit 
	MOVE.GOHOME 
	While MOVE.INPOSITION = 0 : Wend
	Print "System Homed"
End Main

'-------------- Subroutines and Functions ------------

'-------------- Interrupt Routines -------------------
